import java.nio.charset.StandardCharsets

plugins {
    id "org.jetbrains.kotlin.jvm" version "2.0.20"
}

repositories {
    mavenCentral()
}

dependencies {
    implementation('ch.qos.logback:logback-classic:1.5.15')
}

tasks.register("runSimple", JavaExec) {
    mainClass = 'pl.polgrabia.demos.crackingcodeinterview.t17x6.ProgramKt'
    classpath = sourceSets.main.runtimeClasspath
    setStandardInput(new ByteArrayInputStream("25".getBytes(StandardCharsets.UTF_8)))
}